%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% path2funN(path)
% 
%   Given a path of eigenvalues in VS_n, return the corresponding
%   eigenfunction.
% 
%   You MUST have run rPoly(n,'save') before using this program.
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function f = path2funN(path)
if path(1) == 0
  f = [1 1 1]; % initial conditions
else
  f = [1 -1 1]; 
end

for k=2:length(path)
  f = decimateN(f,path(k));
end
