%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% fun = word2fun(word)
% 
%  Return the function corresponding to the "word" array word. If given
%  initial values, use them as function values on V_0.
% 
%  See also word2path, path2fun, decimate, sequences.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function fun = word2fun(word,initial)
if nargin == 1
  fun = path2fun(word2path(word));
  fun = fun./sqrt(norm2(fun));
else
  fun = path2fun(word2path(word),initial);
  fun = fun./sqrt(norm2(fun));
end

% TODO: Make this work with arrays of words
