% generate the X matrix for the nth level Visek set
function answer = xMatrix(n)

answer = zeros(12*(n-1));

basic  = [ -6  1  1  1 
            1 -3  1  1
            1  1 -3  1
            1  1  1 -6 ];

endcap = [ -6  1  1
            1 -3  1
            1  1 -3 ];

% place the first set of basic blocks
for j = 1:n-2
  start = 3*(j-1)+1;
  answer(start:start+3,start:start+3) = basic;
end
start = 3*(n-2)+1;
answer(start:start+2,start:start+2) = endcap;

% now we repeat THIS block 3 more times
less_basic = answer(1:3*(n-1),1:3*(n-1));
step = 3*(n-1);
for j = 1:3
  start = step*j+1;
  answer(start:start+step-1,start:start+step-1) = less_basic;
end

% finally we put in some ones
for j = 1:4
  for k = j+1:4
    answer(step*(j-1)+1,step*(k-1)+1)=1;
    answer(step*(k-1)+1,step*(j-1)+1)=1;
  end
end


  

