%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% forbidden(word)
% 
%   Return 1 if word is forbidden, 0 otherwise.
%
%   You MUST have run rPoly(n,'save') before using this program.
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = forbidden(word)

global rPoly_n
n = rPoly_n;
% if we just got one word
len = length(word);

if min(size(word))==1
  % if in zero series, need to check if first non-1 is odd
  if word(1) == 0
    j = 2;
    while word(j) == 1 && j < len
      j = j+1;
    end
    if j > length(word) || mod(word(j),2) == 0
      answer = 1;
      return;
    end
  % in 4/3 series, need to check if first nonzero is odd
  else
    j = 2;
    while word(j) == 0 && j < len
      j = j+1;
    end
    if j > length(word) || mod(word(j),2) == 0 || word(j) == 2*n-1
      answer = 1;
      return;
    end
  end
  answer = 0;

% otherwise just loop over everything that we got
else
  answer = zeros(max(size(word)));
  for j = 1:length(answer)
    answer(j) = forbidden(word(:,j));
  end
end

