%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% small(y)
% 
%   Given a value lambda, return its image under the smallest inverse R, the
%   spectral decimation function for VS_n.
% 
%   You MUST have run rPoly(n,'save') before using this program.
% 
%   Given an array, apply the smallest inverse to each element of the array. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = small(y)

global rPoly_r;
p = rPoly_r; 

% if we just got one eigenvalue
if length(y) == 1
  p(length(p)) = -y;
  answer = sort(roots(p));
  answer = answer(1);
% if we got a bunch of eigenvalues
else
  answer = zeros(length(y),1);
  for j=1:length(y)
    p(length(p)) = -y(j);
    temp = sort(roots(p));
    answer(j) = temp(1);
  end
end
