%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% word2name(choice)
% 
%   Construct a filename for a plot of the function with "word" word.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function name = word2filename(word)
m = length(word)-1;
path = word2path(word);
name = num2str(word(1),1);
if max(word) >= 10
  for j = 2:length(word)
    name = [name '-' num2str(word(j))];
  end
else
  for j = 2:length(word)
    name = [name num2str(word(j))];
  end
end

