function [answer1 answer2] = eightNinths(len)

global f r;
answer1 = zeros(1,len);
answer2 = zeros(1,len);

for j = 1:len
  n = j+1;
  rPoly(n);

  % method 1, fixed point of R
  x = zeros(1,length(r));
  x(length(x)-1) = 1;
  answer1(j) = max(roots(r-x));

  % method 2, zero of f
  answer2(j) = max(roots(f));
end

t = 2:len+1;
plot(t,answer1,t,answer2);
legend('largest fixed point of R','largest root of f');
xlabel('n');
grid;
