%m1 = level of set to pick from
%m2 = level of set to compute on
function interactiveHeat(t,m_pick,m_compute);
global masterX;
global masterY;
global masterList;
global masterInv;
X = masterX{m_pick+1};
Y = masterY{m_pick+1};
list_pick = masterList{m_pick+1};
list_compute = masterList{m_compute+1};

len_pick = 3*5^m_pick+1;
len_compute = length(t);
figure(1);
p1 = plotFun(zeros(1,len_pick),m_pick);
view(0,90);
colormap(gray);
figure(2);
p2 = loglog(t,ones(1,len_compute));
while 1
  [x,y] = getpts(1);
  x = x(1);
  y = y(1);
  distances = (x-X).^2+(y-Y).^2;
  tiny = min(distances);
  index = find(distances==tiny);
  x = list_compute(index);
  disp(num2array(list_pick(index),m_pick+1));
  disp(num2array(list_compute(index),m_compute+1));
  figure(2);
  set(p2,'YData',pointHeat(x,t,m_compute));
  drawnow;
  disp('done drawing');
end
