function plotCenterHeatDiag(m)
global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};

len = length(eigvals);
kmax = 100;
scale = .001;
f = zeros(1,3*5^m+1);
for j = 1:len
  f = f + functions(j,:);
end
on_diagonal = find(X==Y);
f = f(on_diagonal);      
domain = X(on_diagonal);  
[sorted,indices] = sort(domain);
f = f(indices);
p = plot(sorted,f);
v = axis;
hold on;
for k = 1:kmax
  t = k*scale;
  f = zeros(1,3*5^m+1);
  for j = 1:len
    f = f + exp(-eigvals(j)*t)*functions(j,:);
  end
  f = f(on_diagonal);
  f(f<eps) = eps;
  set(p,'YData',f(indices));
  title(num2str(t));
  axis(v);
  drawnow;
  M(k) = getframe;
end
% movie2avi(M,'diagonalheat');
