function rangeError(m)
global functions;
global eigvals;
global masterX;
global masterY;
global X T h
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
kmax = 10;
alpha = log(5)/log(15)
beta = log(15)/log(3)
gamma=log(3)/log(5)
% betagamma=beta*gamma

% we only want to consider a portion of one diagonal
d = diagonal(m);
len = length(d);
start = floor(len/2);
finish = start+floor(len/10);
center = d(start+1);
d = d(start+2:finish);
len = length(d);

% our domain (we're doing loglog plots)
x = X(d);

% our heat kernel values

% actually we want to restrict to diagonals and then
% do some log stuff 
t1 = linspace(-4,-3.1,10);
errors = zeros(length(t1),1);
for j = 1:length(t1)
  t = logspace(t1(j),-3,10);
  h = heatKernelCenter(t,m);
  a = zeros(kmax,len);
  for k = 1:kmax
    f = h(k,:);
    c = f(center);
    f = f(d);
    f = f/c;
    f = -log(f);
    f = log(f);
    a(k,:) = f;
  end
  h = a;
  [X,T] = meshgrid(x,t);
  err = fminsearch(@getError,[1,1]);
  errors(j) = getError(err);
end
plot(t1,errors);
end

function answer = getError(z)
global X T h
gamma = z(1);
betagamma = z(2);
approx = betagamma*log(X)-gamma*log(T);
answer = h-approx;
answer = answer-mean(mean(answer));
answer = abs(answer);
% answer = sum(sum(answer));
answer = max(max(answer));
end


