function interactiveRestriction(m);
global masterX;
global masterY;
global masterList;
X = masterX{m+1};
Y = masterY{m+1};
list = masterList{m+1};

r = restrictionInverse(m);
len1 = 3*5^m+1;
len2 = (3^m+1)/2;
figure(1);
p1 = plotFun(zeros(1,len1),m);
view(0,90);
colormap(gray);
figure(2);
p2 = plot(zeros(1,len2),'o');
while 1
  [x,y] = getpts(1);
  if length(x) == 1
    x = x(1);
    y = y(1);
    distances = (x-X).^2+(y-Y).^2;
    tiny = min(distances);
    index = find(distances==tiny);
    %disp(num2array(list(index),m+1)');
    %disp(find(abs(r(index,:))>.5,1));

    figure(2);
    set(p2,'YData',r(index,:));
    drawnow;
  elseif length(x) == 3
    I = zeros(1,4);
    for j = 1:3
      distances = (x(j)-X).^2+(y(j)-Y).^2;
      tiny = min(distances);
      I(j) = find(distances==tiny);
    end
    newfun = r(I(1),:)-2*r(I(2),:)+r(I(3),:);
    set(p2,'YData',newfun);
    drawnow;
  elseif length(x) == 4
    I = zeros(1,4);
    for j = 1:4
      distances = (x(j)-X).^2+(y(j)-Y).^2;
      tiny = min(distances);
      I(j) = find(distances==tiny);
    end
    newfun = r(I(1),:)-2*r(I(2),:)+2*r(I(3),:)-r(I(4),:);
    set(p2,'YData',newfun);
    drawnow;
  end
end
