%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% restrictionInverseTestTwoLevels(m)
% 
%   Test to see if the restrictionInverse functions on level m+1 restrict
%   to the restrictionInverse functions on level m.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = restrictionInverseTestTwoLevels(m)
x = restrictionInverse(m);
y = restrictionInverse(m+1);

len = size(y,2);
indices = 1:len;
indices = indices(mod(indices-2,3) == 0);
y = y(1:size(x,1),indices);
answer = max(max(abs(y-x)));


