
function answer = trapping(t, m)

global functions;
global eigvals;
global masterX;
global masterY;
global X T h
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
kmax = 10;
alpha = log(5)/log(15);
beta = log(15)/log(3);
gamma=log(3)/log(5);
diff = 0;

f = F(t, m);
upper = zeros(1, length(f));
lower = zeros(1, length(f));
diag = diagonal(m);


for i = 1:length(f)
    diff = f(1) - f(i);
    for j = 1:length(f)
        h = diag(j);
        if i == h
            break
        end
        if f(h) - f(i) < 0
            break
        end
        if f(h) - f(i) < diff
            diff = f(h) - f(i);
            upper(i) = f(h);
        end
    end
end


for i = 1:length(f)
    diff = f(1) - f(i);
    for j = 1:length(diag)
        h = diag(j)
        if i == h
            break
        end
        if f(i) - f(h) < 0
            break
        end
        if f(i) - f(h) < diff
            diff = f(i) - f(h);
            lower(i) = f(h);
        end
    end
end
lower
upper
answer = 0;
end
