function wavePropagatorDiag(m)

global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};

kmax = 100;
t    = linspace(eps,.5,kmax);
d    = diagonal(m);
len  = length(eigvals);
w    = wavePropagatorCenter(t,m);

f = w(1,:);
p = plot(f(d));
v = axis;
hold on;
for k = 1:kmax
  f = w(k,:);
  set(p,'YData',f(d));
  M(k) = getframe;
  axis(v);

  drawnow;
end

