% this looks pretty
function M = wavePropagatorDiag2(m)
global functions;
global eigvals;
global masterX;
global masterY;
X1 = masterX{m+1};
Y1 = masterY{m+1};
X2 = masterX{m+2};
Y2 = masterY{m+2};

kmax = 100;
t = linspace(eps,.8,kmax);
d1 = diagonal(m);
d2 = diagonal(m+1);
w1 = wavePropagatorCenter(t,m);
w2 = wavePropagatorCenter(t,m+1);

hold on;

f1 = w1(kmax,:);
p1 = plot(X1(d1),f1(d1),'r--','LineWidth',2);
f2 = w2(kmax,:);
p2 = plot(X2(d2),5*f2(d2),'k','LineWidth',2);

v = axis;

hold off;

for k = 1:kmax
  f1 = w1(k,:);
  f2 = w2(k,:);
  set(p1,'YData',f1(d1));
  set(p2,'YData',f2(d2));
  axis(v);
  drawnow;
  M(k) = getframe;
end
movie(M);

