function wavePropagatorDiagSurf(m)
global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};

kmax = 300;

on_diagonal = find(X==Y);
domain = X(on_diagonal);  
[sorted,indices] = sort(domain);
times = linspace(0,20,kmax);
vals = zeros(kmax,length(domain));
len = length(eigvals);
sqrts = sqrt(eigvals);

for k = 1:length(times)
  t = times(k);
  f = zeros(1,3*5^m+1);
  for j = 1:len
    f = f + (sin(sqrts(j)*t)/sqrts(j))*functions(j,:);
  end
  f = f(on_diagonal);
  f = f(indices);
  vals(k,:)=f;
end
[X1 Y1] = meshgrid(sorted,times);

% for l = 1:5
%   for j = 2:size(vals,1)-1
%     for k = 2:size(vals,2)-1
%       vals(j,k) = .25*(vals(j,k-1)+vals(j,k+1)+vals(j-1,k)+vals(j+1,k));
%     end
%   end
% end

surf(Y1,X1,vals);




