% given an array of functions (stored as rows in list
% order) return an approximation to the "width" of 
% each function
function answer = width(functions,m);
d = diagonal(m);
l = length(d)/2;
len = size(functions,1);
answer = zeros(1,len);
for j = 1:len
  f = functions(j,:);
  f = f(d);
  f = f(l:2*l);
  %   figure;
  %   plot(f);
  non_zero = abs(f)>sum(abs(f))/(100*l);
  if sum(non_zero) ~= 0
    answer(j) = find(non_zero,1,'last')/(l+1);
  end
  %zeros(1,length(f));
%   length(non_zero);
%   answer(j)= sum(non_zero)/l;
end


