%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% len2level(s)
% 
%   Return m such that |V_m|=s, i.e.
% 
%     3*5^m+1 == s
%     
%   See also makeList
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function m = len2level(s)
answer = log((s-1)/3)/log(5);
r = round(answer);
if abs(answer-r)>.0001
  disp('You fed garbage to len2level. Shame on you.');
  return;
end
m = r;

