%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% norm2(f,m)
% 
%   Return the norm SQUARED of f viewed as a function on V_m.
% 
%   See also integrate, innerProdcut
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = norm2(f,m)

if nargin == 2
  answer = integrate(f.^2,m);
else
  answer = integrate(f.^2);
end
