%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% website
% 
%   Create a bunch of plots for the website. website.sh manipulates these
%   plots a bit, we also have to run gThumb to make the galleries.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function website


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plots of eigenfunctions for n=3-9
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rPoly(3,'save');
%plotFolder('../website/eigfuns/0diag3',@plotWordN,3,'small','0-series');
%plotFolder('../website/eigfuns/1diag3',@plotWordN,3,'small','4/3-series');
rPoly(4,'save');
%plotFolder('../website/eigfuns/0diag4',@plotWordN,2,'small','0-series');
%plotFolder('../website/eigfuns/1diag4',@plotWordN,2,'small','4/3-series');
rPoly(5,'save');
%plotFolder('../website/eigfuns/0diag5',@plotWordN,2,'small','0-series');
%plotFolder('../website/eigfuns/1diag5',@plotWordN,2,'small','4/3-series');
rPoly(6,'save');
%plotFolder('../website/eigfuns/0diag6',@plotWordN,2,'small','0-series');
%plotFolder('../website/eigfuns/1diag6',@plotWordN,2,'small','4/3-series');
rPoly(7,'save');
%plotFolder('../website/eigfuns/0diag7',@plotWordN,2,'small','0-series');
%plotFolder('../website/eigfuns/1diag7',@plotWordN,2,'small','4/3-series');
rPoly(8,'save');
%plotFolder('../website/eigfuns/0diag8',@plotWordN,2,'small','0-series');
%plotFolder('../website/eigfuns/1diag8',@plotWordN,2,'small','4/3-series');
rPoly(9,'save');
%plotFolder('../website/eigfuns/0diag9',@plotWordN,2,'small','0-series');
plotFolder('../website/eigfuns/1diag9',@plotWordN,2,'small','4/3-series');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% First we have n=2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load listData;
rPoly(2,'save');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plots of eigenfunctions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotFolder('../website/eigfuns/0full',@plotWord,4,'0-series');
% plotFolder('../website/eigfuns/0diag',@plotWordDiag,4,'0-series');
% plotFolder('../website/eigfuns/1full',@plotWord,4,'4/3-series');
% plotFolder('../website/eigfuns/1diag',@plotWordDiag,4,'4/3-series');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% heat kernel and wave propagator
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%rPoly(2,'save')
%ht = linspace(0,.05,100);
%wt = linspace(0,.25,100);
%h = heatKernelCenter(ht,4);
%w = wavePropagatorCenter(wt,4);

%a = arm(4);
%center = a(1);
%nh = diag(h(:,center).^(-1)) * h;
%log_nh = log(max(nh,eps));

%plotProjectionDiagFolder('../website/spectral/heatdiag/',nh,ht,'0-1');
%plotProjectionFolder('../website/spectral/heatfull/',h,ht);
%plotProjectionDiagFolder('../website/spectral/logheatdiag/',log_nh,ht)
%plotProjectionDiagFolder('../website/spectral/wavediag/',w,wt,'0-2');
%plotProjectionFolder('../website/spectral/wavefull/',w,wt,'0-2');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Center values and trace of heat kernel
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% centerHeat(logspace(-8,-3,500),7,'save');
% heatKernelTrace(logspace(-8,-3,500),7,'save');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Restriction plots
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotRestriction(4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Tables of eigenvalues
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% printEigvals(7,2);
% printEigvals(5,3);
% printEigvals(4,4);
% printEigvals(4,5);
% printEigvals(3,6);
% printEigvals(3,7);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Weyl ratios
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% weyl(7,2,'save');
% weyl(5,3,'save');
% weyl(4,4,'save');
% weyl(4,5,'save');
% weyl(3,6,'save');
% weyl(3,7,'save');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Eigenvalue counting function
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% counting(7,2,'save');
% counting(5,3,'save');
% counting(4,4,'save');
% counting(4,5,'save');
% counting(3,6,'save');
% counting(3,7,'save');

exit;
