%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% lineplot(vals)
% 
%   Plot the values in vals as horizontal lines.
% 
%   See also ratios.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function lineplot(vals)

hold on

for j=1:length(vals)
  t = vals(j);
  plot([0,1],[t,t],'k','LineWidth',.001);
end

hold off


