%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotWord(word)
% 
%   Take the "word" array corresponding to a function on V_m and plot
%   that function, putting in the title that we've all grown to love.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plotWord(word,varargin);

path = word2path(word);
fun = path2fun(path);
fun = fun./sqrt(norm2(fun));
plotFun(fun,length(word)-1,varargin{:});
title(word2name(word,'short'));


