%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotWord3D(word)
% 
%   Take the "word" array corresponding to a function on V_m and plot
%   that function using plotFun3D, putting in the title that we've all
%   grown to love.
%
%   See also plotWord, plotFun3D
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plotWord3D(word,varargin);

path = word2path(word);
fun = path2fun(path);
fun = fun./sqrt(norm2(fun));
plotFun3D(fun,length(word)-1,varargin{:});
title(word2name(word,'short'));


