%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% printMovie(m)
%   
%   given a matlab movie m, print out a series of plots showing its frames
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function printMovie(m,printme)
len = length(m);
pages = floor(len/6)+1;
for page = 1:pages
  figure;
  set(gcf,'PaperPositionMode','auto');
  set(gcf,'Position',[1,1,800,1000]);
  if page == pages
    last_plot = mod(len-1,6)+1;
  else
    last_plot = 6;
  end
  for j=1:last_plot
    subplot(3,2,j);
    image(frame2im(m(j)));
  end
  if printme
    print -Plp2ndfloor
    close;
  end
end
  
