%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% word2name(choice)
% 
%   Construct a title for a plot of the function with "word" word.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function name = word2name(word,varargin)

if max(word) >= 10
  name = 'eigenvalue: ';
  name = [name num2str(word2eigval(word,'fractal'))];
  name = [name,', series: ',num2str(word(1),3)];
  name = [name,', word: ' num2str(word(2))];
  for j = 3:length(word)
    %   name = strcat(name,',');
    name = [name '-' num2str(word(j))];
  end
elseif ismember('short',varargin)
  name = '\lambda:';
  name = [name num2str(word2eigval(word,'fractal'))];
  name = [name,', s:',num2str(word(1),3)];
  name = [name,', w:' num2str(word(2))];
  for j = 3:length(word)
  %   name = strcat(name,',');
    name = strcat(name, num2str(word(j)));
  end
else
  name = 'eigenvalue: ';
  name = [name num2str(word2eigval(word,'fractal'))];
  name = [name,', series: ',num2str(word(1),3)];
  name = [name,', word: ' num2str(word(2))];
  for j = 3:length(word)
  %   name = strcat(name,',');
    name = strcat(name, num2str(word(j)));
  end
end
