function f = infiniteproduct(m)


% computes the partial product, up to m terms, of the coefficient of 1/4(f(\lambda_1) +
% f(\lambda_2) * \dots * f(\lambda_m) (y_1 + y_2 + y_3 + y_4) which should
% converge to the center point of the Viscek set.  We use Zhou's model
% throughout.

%product = 1;
%for i = 1 : m
    
    %product = product * 8*(4-3* eigenvalues(i, n))/((12 *eigenvalues(i,n) - (7 - sqrt(17)))*(12 * eigenvalues(i, n) - (7 + sqrt(17))));

%end
 
value = 4/3;
A = [];
product = 1;
for i = 1 : m
    A = continueEigval(value);
    value = A(1);

  product = product * 8*(4-3* value)/((12 *value - (7 - sqrt(17)))*(12 * value - (7 + sqrt(17))));


end
f = product/4;

