% plots an eigenfunction at level m
function f = randEigFun(m)

global list
global inv
global dups

global masterList
global masterInv
global masterDups

f = zeros(1,3*5^m+1);
f(1:4) = [1, -1, 1, -1];
eigenvalue = 4/3;
epsilon = .001;
bad = [4/3,1/2,(7+sqrt(17))/12,(7-sqrt(17))/12];

for t = 1: m
  list = masterList{t+1};
  inv  = masterInv{t+1};
  dups = masterDups{t+1};
  temp = continueEigval(eigenvalue);
  j = floor(3*rand())+1;
  while ~all(abs(temp(j)-bad)>epsilon)
    j = floor(3*rand())+1;
  end
  if t ~= m
    eigenvalue = temp(j)
  end
  f = decimate(f, t - 1, eigenvalue);
end
