function clusters(m,epsilon)
[p w e] = sequences(m,0);
distances = [0 diff(e)];
threes = sum(w == 3);
best = zeros(1,m-1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% approach 1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);
for j = 1:m-1
  disp(j)
  x = find(threes == j);
  y = e(x);
  y = sort(y);
  y = diff(y);
  y = abs(y);
  y = min(y);
  best(j) = y;
  % best(j) = min(distances(x));
end


[sorted indices] = sort(distances);
e(indices(1))

plot(best);
xlabel('number of w_j = 3');
ylabel('min distance between eigenvalues');

return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% approach 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(2);
len = length(e);
cluster_size = zeros(1,len);
for j=1:len
  cluster_size(j) = sum(abs(e-e(j))<epsilon);
end

hist(cluster_size,50)
% scatter3(threes,cluster_size,distances)
% xlabel('threes');
% ylabel('cluster size');
% zlabel('distances');
big = max(cluster_size)
disp(w(:,cluster_size >= big-6));

[sorted indices] = sort(cluster_size);

return


% silly approach

% plot(threes,distances,'o');

