function printEigvals(m,n)

rPoly(n,'save');
[p w e t] = sequences(m,'fractal','quiet');
filename = ['../website/eigvals/data/order' num2str(n) 'level' num2str(m) '.txt'];
fid = fopen(filename,'wt');
output = '';
% determine how many digits we want for letters in the word
r = rPoly(n);
two_digits = length(r(r~=0)) >= 10;
if two_digits
  for j = 2:length(e)
    output = [output num2str(e(j),'%10.10d') '    '];
    word = w(:,j);
    % convert -1's into spaces
    k = 1;
    spaces = '   ';
    while word(k) == 0
      spaces = [spaces '   '];
      k = k + 1;
    end
    % first positive entry is the series
    if word(k) == 0
      series = '0  ';
    else
      series = '4/3';
    end
    output = [output series '     ' spaces];
    % add remaining letters
    for l = k+1:length(word)
      output = [output num2str(round(word(l)),'%02d') ' '];
    end
    % multiplicity
    mult = num2str(t(j));
    output = [output '    ' mult '\n'];
  end
else
  for j = 2:length(e)
    output = [output num2str(e(j),'%10.10d') '    '];
    word = w(:,j);
    % convert -1's into spaces
    k = 1;
    spaces = '  ';
    while word(k) == 0
      spaces = [spaces '  '];
      k = k + 1;
    end
    % first positive entry is the series
    if word(k) == 0
      series = '0  ';
    else
      series = '4/3';
    end
    output = [output series '     ' spaces];
    % add remaining letters
    for l = k+1:length(word)
      output = [output num2str(round(word(l)),'%01d') ' '];
    end
    % multiplicity
    mult = num2str(t(j));
    output = [output '    ' mult '\n'];
  end
end

fprintf(output);
fprintf(fid,output);

