%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% newLimitTest(n,k)
% 
% 	Define p by phi_max(p) = p, and let c = phi_2(p). Then compute
% 
% 		phi_1^k(4/3)/phi_1^k(c)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = newLimitTest(n,k)
epsilon = 1e-8;
r = rPoly(n);
len_r = length(r);
r_minus_x = r-[zeros(1,len_r-2) 1 0];
fixed = roots(r_minus_x);
fixed = sort(fixed);
good_one = 'ERROR';
len_fixed = length(fixed);
for j= 1: len_fixed
	f = fixed(j);
	temp = continueEigvalN(f);
	if abs(temp(length(temp)) - f) < epsilon
		good_one = f;
		% disp(j);
		% disp(len_fixed);
	end
end
temp = continueEigvalN(good_one);
c = temp(2);
num = 4/3;
den = c;
for j=1:k
	num = smallN(num);
	den = smallN(den);
	disp(num/den);
end
limit = num/den;
factor = sqrt((4*n-3)*(2*n-1));
answer = limit/factor;
