function answer = F(t,m)
global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
alpha = log(5)/log(15);
beta  = log(15)/log(3);
gamma = log(3)/log(5);
betagamma = beta * gamma;

% we only want to consider a portion of one diagonal
d = diagonal(m);
len = length(d);
start = floor(len/2);
finish = start+floor(len/5);
center = d(start+1);
d = d(start+2:finish);
len = length(d);

% our heat kernel values
h = heatKernelCenter(t,m);

kmax = length(t);
answer = zeros(kmax,len);
for k = 1:kmax
  f = h(k,:);
  c = f(center);
  f = f(d);
  f = abs(f/c);
  f = -log(f);
  answer(k,:) = f;
end
