function plotHeatMovie(m)
global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};
kmax = 100;
scale = .00001;
len = length(eigvals);
f = zeros(1,3*5^m+1);
for j = 1:len
  f = f + functions(j,:);
end
p = scatter3(X,Y,f,4,f);%,'EraseMode','none');
v = axis;
w = caxis;
hold on;
for k = 1:kmax
  t = k*scale;
  f = zeros(1,3*5^m+1);
  for j = 1:len
    f = f + exp(-eigvals(j)*t)*functions(j,:);
  end
  set(p,'ZData',f,'CData',f);
  title(num2str(t));
  drawnow;
  axis(v);
  caxis(w);
  M(k)=getframe;
end
movie2avi(M,'test.avi');
