%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% norm2(f,m)
% 
%   Return the norm SQUARED of f viewed as a function on V_m.
% 
%   See also integrate, innerProdcut
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = norm4(f,m)

if nargin == 2
  answer = integrate(f.^4,m).^(1/4);
else
  answer = integrate(f.^4).^(1/4);
end
