%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% reverseEigval(y)
% 
%   Given a value y, return its images under R, the spectral decimation
%   function for VS_2:
% 
%     R(x) = 36*x^3 - 48*x^2 + 15*x.
% 
%   See also small, paths, chebyshevU, chebyshevT, forbidden.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = continueEigval(y)
answer =  polyval([36 -48 15 0],y);
