function plotFolder(folder,fun,varargin)

[p w] = sequences(varargin{:});
system(['mkdir ' folder]);

extras = varargin{2:length(varargin)};
if ismember('small',extras)
  len = 20;
else
  len = size(w,2)
end

for j = 1:len
  word = w(:,j);
  if ismember('small',extras)
    fun([word; 1; 1]);
  else
    fun(word);
  end
  name = [folder '/plot' dec2base(j,10,3) '-word' word2filename(word)];
  saveas(gcf,name,'png');
end
close;

