% return the m-th discrete laplacian of a function f
% obviously faster to do a computation with sparse matrix
% but as of now this is only for debugging so speed not a 
% huge issue
function answer = energy(f,m)

if nargin == 1
  m = len2level(length(f));
end

global masterList
global masterInv
list = masterList{m+1};
inv = masterInv{m+1};

len = 3*5^m+1;  % f(1:len) determines its values on V_m
answer = zeros(1,len);

for j = 1:len
  name = list(j);
  answer(j) = sum((f(j)-f(inv(neighbors(name,m)))).^2);
end

answer = sum(answer);
